package dev.fyloz.colorrecipesexplorer.service

import dev.fyloz.colorrecipesexplorer.model.RecipeStep
import dev.fyloz.colorrecipesexplorer.repository.RecipeStepRepository
import org.springframework.stereotype.Service

interface RecipeStepService : ModelService<RecipeStep, RecipeStepRepository>

@Service
class RecipeStepServiceImpl(recipeStepRepository: RecipeStepRepository) :
    AbstractModelService<RecipeStep, RecipeStepRepository>(recipeStepRepository),
    RecipeStepService
